Search documentation of ExStreamClient

# ExStreamClient.Model.MessageFlagResponse (ExStreamClient v0.1.10)

View Source

Schema representing a MessageFlagResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.MessageFlagResponse{
      approved_at: float() | nil,
      created_at: float(),
      created_by_automod: boolean(),
      custom: %{optional(String.t()) => any()} | nil,
      details: ExStreamClient.Model.FlagDetails.t() | nil,
      message: ExStreamClient.Model.Message.t() | nil,
      moderation_feedback: ExStreamClient.Model.FlagFeedback.t() | nil,
      moderation_result: ExStreamClient.Model.MessageModerationResult.t() | nil,
      reason: String.t() | nil,
      rejected_at: float() | nil,
      reviewed_at: float() | nil,
      reviewed_by: ExStreamClient.Model.UserResponse.t() | nil,
      updated_at: float(),
      user: ExStreamClient.Model.UserResponse.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()